%global license_ver 1.0.1
%global qualifier v20140414-1359
%global gittag org.eclipse.license-license-%{license_ver}.%{qualifier}

Name:      eclipse-license
Version:   %{license_ver}
Release:   3%{?dist}
Summary:   Shared license feature for Eclipse

License:   EPL
URL:       http://wiki.eclipse.org/CBI
Source0:   http://git.eclipse.org/c/cbi/org.eclipse.license.git/snapshot/%{gittag}.tar.bz2

BuildArch: noarch

BuildRequires: maven-local
BuildRequires: tycho-extras
BuildRequires: feclipse-maven-plugin

%description
Shared license feature for Eclipse. Other features may consume this
feature to avoid unnecessary duplication of license boiler plate.

%prep
%setup -q -n %{gittag}

%build
xmvn -o clean verify

%install
xmvn -o org.fedoraproject:feclipse-maven-plugin:install \
  -DsourceRepo=org.eclipse.license.repo/target/repository/ \
  -DtargetLocation=%{buildroot}%{_javadir}/%{name}/eclipse

%files
%doc org.eclipse.license/*.html
%{_javadir}/%{name}

%changelog
* Fri May 09 2014 Mat Booth <mat.booth@redhat.com> - 1.0.1-3
- Update to latest upstream.

* Thu Mar 13 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-2
- Use Xmvn.

* Thu Mar 13 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-1
- Initial version of license shared feature.

